# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.AddRole

Packages that use CollectionAdminRequest.AddRole
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.AddRole in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.AddRole
Modifier and Type
Method
Description
`static CollectionAdminRequest.AddRole`
CollectionAdminRequest.`addRole(String node, String role)`
Returns a SolrRequest to add a role to a node